package com.cisdi.data.HJ212.gateway;

import java.util.Map;

public class Hj212FrameInputVo {
    /** 请求编码 精确到毫秒的时间戳:QN=YYYYMMDDhhmmsszzz，用来唯一标识一次命令交互  */
    private String qn;
    /** 系统编码 */
    private String st;
    /** 命令编码,可以作为电文号 */
    private String cn;
    /** 访问密码 */
    private String pw;
    /** 设备唯一标识MN */
    private String mn;
    /** 拆分包及应答标志 */
    private Integer flag;
    /** 指令参数CP */
    private String cp;
    /** cp 中包含的 DataTime字段  */
    private Long dataTime;
    
    /**
     * 通过命令上传的数据
     */
    private Map<String, String> dataMap;
    
    public String getQn() {
        return qn;
    }
    public void setQn(String qn) {
        this.qn = qn;
    }
    public String getSt() {
        return st;
    }
    public void setSt(String st) {
        this.st = st;
    }
    public String getCn() {
        return cn;
    }
    public void setCn(String cn) {
        this.cn = cn;
    }
    public String getPw() {
        return pw;
    }
    public void setPw(String pw) {
        this.pw = pw;
    }
    public String getMn() {
        return mn;
    }
    public void setMn(String mn) {
        this.mn = mn;
    }
    public Integer getFlag() {
        return flag;
    }
    public void setFlag(Integer flag) {
        this.flag = flag;
    }
    public String getCp() {
        return cp;
    }
    public void setCp(String cp) {
        this.cp = cp;
    }
    public Long getDataTime() {
        return dataTime;
    }
    public void setDataTime(Long dataTime) {
        this.dataTime = dataTime;
    }
    public Map<String, String> getDataMap() {
        return dataMap;
    }
    public void setDataMap(Map<String, String> dataMap) {
        this.dataMap = dataMap;
    }
}
